L-moments {POT} | R Documentation

## Compute Sample L-moments

### Description

Compute the sample L-moments - unbiased version.

### Usage

    samlmu(x, nmom = 4, sort.data = TRUE)

### Arguments

`x` | a vector of data
`nmom` | a numeric value giving the number of sample L-moments to be computed
`sort.data` | a logical which specifies if the vector of data x should be sorted or not.

### Value

This function returns a vector of length `nmom` corresponding to the sample L-moments. Note that for orders greater or equal than 3 it is the L-moments ratio that is sample L-coefficient of variation, sample L-skewness, sample L-kurtosis, ...

### References

Hosking, J. R. M. (1990) L-moment analysis and estimation of order statistics. Journal of the Royal Statistical Society Series B, 52: 105–124.

### Examples

    x <- runif(50)
    samlmu(x, nmom = 5)

[Package POT version 1.1-7 Index]